Name:           clex
Version:        3.18 
Release:        2%{?dist}
Summary:        A free file manager with a full-screen user interface

Group:          Applications/File
License:        GPLv2+
URL:            http://www.clex.sk
Source0:        http://www.clex.sk/download/%{name}-%{version}.tar.gz
Patch0:         clex-3.18-configure.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel

%description
CLEX (pronounced KLEKS) is a file manager with a full-screen user 
interface. It displays directory contents including the file status 
details and provides features like command history, filename insertion, 
or name completion in order to help users to create commands to be 
executed by the shell. 

CLEX is a versatile tool for system administrators and all users that 
utilize the enormous power of the command line. Its unique one-panel 
user interface enhances productivity and lessens the probability of 
mistake. There are no built-in commands, CLEX is an add-on to your 
favorite shell. 

%prep
%setup -q
%patch0 -p1 -b .configure

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/clex
%{_mandir}/man1/clex.1.gz


%changelog
* Sat Apr 28 2008 Kairo Araujo <kairoaraujo@gmail.com> - 3.18-2
- added clex-3.18-configure.patch for fedora (thanks dwmw2)

* Sat Apr 26 2008 Kairo Araujo <kairoaraujo@gmail.com> - 3.18-1
- Update 3.18

* Tue Jan 29 2008 Kairo Araujo <kairoaraujo@gmail.com> - 3.17-3
- Removed Requires: ncurses (rpmbuild will add automatically)

* Tue Jan 29 2008 Kairo Araujo <kairoaraujo@gmail.com> - 3.17-2
- Removed INSTALL from doc list

* Mon Jan 28 2008 Kairo Araujo <kairoaraujo@gmail.com> - 3.17-1
- Initial RPM release
